GWT - Adding modules from 2.4 to 2.1

30 views
Skip to first unread message

Adolfo Panizo Touzon

unread,
Mar 30, 2012, 6:30:39 AM3/30/12
to google-we...@googlegroups.com
Hi all,

is it possible compile, or include or do something in order to include projects from gwt 2.4, such as Validation.gwt.xml, in a GWT project built with the 2.1 version?

I don't know if it's possible. Any pointer?

Regards,

Thanks in advance.

Adolfo.
--
El precio es lo que pagas. El valor es lo que recibes.
Warren Buffet

Joseph Lust

unread,
Mar 30, 2012, 12:10:14 PM3/30/12
to google-we...@googlegroups.com
Do the projects you want to include depend on facets of GWT 2.4? Can you just download the src and build them using GWT 2.1, and then include that in your GWT 2.1 project?

Sincerely,
Joe

Adolfo Panizo Touzon

unread,
Mar 31, 2012, 12:42:17 PM3/31/12
to google-we...@googlegroups.com
Hi Joseph,

thank you for your answer.

Finally I used other framework that works on 2.1 but I´m still interested for the future.

If I understood you correctly you mean that  I must download the code of gwt 2.1, add the code of the validation module, and then, compile it using ant. Is that correct?

The only thing that I don´t understand when you said "facets". Did you mean this?

Thank you in advance,

Adolfo. 

2012/3/30 Joseph Lust <lifeo...@gmail.com>
Do the projects you want to include depend on facets of GWT 2.4? Can you just download the src and build them using GWT 2.1, and then include that in your GWT 2.1 project?

Sincerely,
Joe

--
You received this message because you are subscribed to the Google Groups "Google Web Toolkit" group.
To view this discussion on the web visit https://groups.google.com/d/msg/google-web-toolkit/-/0-HBORAXV8sJ.
To post to this group, send email to google-we...@googlegroups.com.
To unsubscribe from this group, send email to google-web-tool...@googlegroups.com.
For more options, visit this group at http://groups.google.com/group/google-web-toolkit?hl=en.

Thomas Broyer

unread,
Mar 31, 2012, 1:30:08 PM3/31/12
to google-we...@googlegroups.com
gwt-user from one version should generally be used with the gwt-dev of the same version, however there are many things in gwt-user that could work with other versions of gwt-dev, so you can extract the module you want from gwt-user 2.4 and add it to your project (or another JAR that you add as a dependency), and see if it works.

I'd strongly suggest that you always upgrade to the latest version of GWT though.


On Saturday, March 31, 2012 6:42:17 PM UTC+2, apanizo wrote:
Hi Joseph,

thank you for your answer.

Finally I used other framework that works on 2.1 but I´m still interested for the future.

If I understood you correctly you mean that  I must download the code of gwt 2.1, add the code of the validation module, and then, compile it using ant. Is that correct?

The only thing that I don´t understand when you said "facets". Did you mean this?

Thank you in advance,

Adolfo. 

2012/3/30 Joseph Lust <lifeo...@gmail.com>
Do the projects you want to include depend on facets of GWT 2.4? Can you just download the src and build them using GWT 2.1, and then include that in your GWT 2.1 project?

Sincerely,
Joe

--
You received this message because you are subscribed to the Google Groups "Google Web Toolkit" group.
To view this discussion on the web visit https://groups.google.com/d/msg/google-web-toolkit/-/0-HBORAXV8sJ.
To post to this group, send email to google-web-toolkit@googlegroups.com.
To unsubscribe from this group, send email to google-web-toolkit+unsub...@googlegroups.com.

For more options, visit this group at http://groups.google.com/group/google-web-toolkit?hl=en.
Reply all
Reply to author
Forward
0 new messages